---
lang: en
title: 'API docs: rest.logerrorprovider.action'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.logerrorprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [LogErrorProvider](./rest.logerrorprovider.md) &gt; [action](./rest.logerrorprovider.action.md)

## LogErrorProvider.action() method

<b>Signature:</b>

```typescript
action(err: Error, statusCode: number, req: Request): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  err | <code>Error</code> |  |
|  statusCode | <code>number</code> |  |
|  req | <code>Request</code> |  |

<b>Returns:</b>

`void`


